Skip to main content
`Ctrl`+`K`

# PetscFortranCallbackRegister

register a type+subtype callback. This is used by the PETSc Fortran stubs to allow the use of user Fortran functions as arguments to PETSc functions that take function pointers

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFortranCallbackRegister(PetscClassId classid, const char *subtype, PetscFortranCallbackId *id)

Not Collective

## Input Parameters

- classid - ID of class on which to register callback

- subtype - subtype string, or `NULL` for class ids

## Output Parameter

- id - callback id

## See Also

`PetscFortranCallbackGetSizes()`, `PetscObjectCopyFortranFunctionPointers()`, `PetscObjectSetFortranCallback()`, `PetscObjectGetFortranCallback()`

## Level

developer

## Location

src/sys/objects/fcallback.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages